Grouping.Format (Solr 3.6.2 API)
Keywords: org.apache.solr.search.Grouping.Format class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.search
Enum Grouping.Format

    java.lang.Object
      java.lang.Enum<Grouping.Format>
          org.apache.solr.search.Grouping.Format

All Implemented Interfaces:
  Serializable, Comparable<Grouping.Format>

Enclosing class:
  Grouping

    public static enum Grouping.Format

extends Enum<Grouping.Format>

Enum Constant Summary
`grouped` Grouped result.
`simple` Flat result.

Method Summary
`static Grouping.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Grouping.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### grouped

    public static final Grouping.Format grouped

  Grouped result. Each group has its own result set.

### simple

    public static final Grouping.Format simple

  Flat result. All documents of all groups are put in one list.

Method Detail

### values

    public static final Grouping.Format[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Grouping.Format c : Grouping.Format.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Grouping.Format valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD